> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone file download

> download mobile files to local device



## OpenAPI

````yaml post /open/api/phone/file/download
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/file/download:
    post:
      tags: []
      summary: Phone file download
      description: download mobile files to local device
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiPhoneFileDownloadReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RApiPhoneFileDownloadResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ApiPhoneFileDownloadReqVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
        filePath:
          type: string
          description: File download path,The path for downloading the file
        size:
          type: string
          description: File size in bytes,The size of the downloaded file
      required:
        - phoneId
        - filePath
        - size
    RApiPhoneFileDownloadResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/ApiPhoneFileDownloadResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    ApiPhoneFileDownloadResVO:
      type: object
      properties:
        downId:
          type: string
          description: >-
            File download ID,The download can be used to obtain the task result
            through `Get task info list`
        taskId:
          type: integer
          description: >-
            Task ID,The taskId can be used to obtain the task result through
            `Get task info list`
          format: int64

````